<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;

class PermissionsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // // // Usuarios
        Permission::create(['descripcion'=>'Ver todos los usuarios','name'=>'users.index','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Registar nuevos usuarios','name'=>'users.create','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Ver perfil de usuario','name'=>'users.show','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Edición de usuarios','name'=>'users.edit','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Eliminar usuario','name'=>'users.destroy','grupo'=>'01 - Administración']);

        // //Roles
        Permission::create(['descripcion'=>'Ver todos los roles','name'=>'roles.index','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Ver detalle de rol','name'=>'roles.show','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Creación de roles','name'=>'roles.create','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Edición de roles','name'=>'roles.edit','grupo'=>'01 - Administración']);
        Permission::create(['descripcion'=>'Eliminar rol','name'=>'roles.destroy','grupo'=>'01 - Administración']);

        //denuncias
        Permission::create(['descripcion'=>'Ver resumen de denuncias','name'=>'home','grupo'=>'02 - Denuncias']);
        Permission::create(['descripcion'=>'Ver todos los denuncias','name'=>'denuncias.index','grupo'=>'02 - Denuncias']);
        Permission::create(['descripcion'=>'Ver todos los denuncias finalizadas','name'=>'denuncias.finalizadas','grupo'=>'02 - Denuncias']);
        Permission::create(['descripcion'=>'Ver historial de la denuncia','name'=>'denuncias.show','grupo'=>'02 - Denuncias']);
        Permission::create(['descripcion'=>'Agregar seguimiento a la denuncia','name'=>'denuncias.seguimiento.create','grupo'=>'02 - Denuncias']);
        Permission::create(['descripcion'=>'Exportar reporte de denuncias a PDF','name'=>'denuncias.reporte.pdf','grupo'=>'02 - Denuncias']);
        
        //Vistas Denunciante
        Permission::create(['descripcion'=>'Ver mis denuncias','name'=>'denunciante.dashboard','grupo'=>'03 - Denunciante']);
        Permission::create(['descripcion'=>'Ver detalle denuncia','name'=>'denunciante.denuncias.show','grupo'=>'03 - Denunciante']);

        
    }
}
